Bug 11275 - /usr/bin/rec does not work
Summary: /usr/bin/rec does not work
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sox (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-07 07:47 UTC by horms
Modified: 2014-03-17 02:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-07 07:47:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description horms 2000-05-07 07:47:42 UTC
There is a slight bug in /usr/bin/rec (a symlink) to /usr/bin/play
that causes rec to fail if any (valid) arguments other than the
file to record to are given. A patch follows.

--- play.orig   Sun May  7 00:35:20 2000
+++ play        Sun May  7 00:35:40 2000
@@ -185,7 +185,7 @@
 # a sound file.
 if [ "$program_name" = "rec" ]; then
     echo "Send break (control-c) to end recording"
-    sox $volume $arch_defines $fopts $device "$filename" $effects
+    sox $volume $arch_defines $device $fopts "$filename" $effects
 else
     sox $volume $fopts "$filename" $arch_defines $device $effects
 fi

Comment 1 Bill Nottingham 2000-06-10 23:23:55 UTC
Fixed in sox-12.16-8; thanks for the bug report and the fix!


Note You need to log in before you can comment on or make changes to this bug.